com.opensymphony.xwork2.config.entities

## Class ExceptionMappingConfig

- java.lang.Object
- - com.opensymphony.xwork2.util.location.Located
  - - com.opensymphony.xwork2.config.entities.ExceptionMappingConfig

- All Implemented Interfaces:
    Locatable, Serializable

      public class ExceptionMappingConfig
      extends Located
      implements Serializable

  Configuration for exception mapping.
  Author:
    Rainer Hermanns, Matthew E. Porter (matthew dot porter at metissian dot com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExceptionMappingConfig.Builder` The builder for this object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `exceptionClassName`
    `protected String` | `name`
    `protected Map<String,String>` | `params`
    `protected String` | `result`

    - ### Fields inherited from class com.opensymphony.xwork2.util.location.Located

      `location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExceptionMappingConfig(ExceptionMappingConfig target)`
    `protected` | `ExceptionMappingConfig(String name, String exceptionClassName, String result)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getExceptionClassName()`
    `String` | `getName()`
    `Map<String,String>` | `getParams()`
    `String` | `getResult()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.location.Located

      `getLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### exceptionClassName

          protected String exceptionClassName

    - #### result

          protected String result

    - #### params

          protected Map<String,String> params

  - ### Constructor Detail

    - #### ExceptionMappingConfig

          protected ExceptionMappingConfig(String name,
                                String exceptionClassName,
                                String result)

    - #### ExceptionMappingConfig

          protected ExceptionMappingConfig(ExceptionMappingConfig target)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getExceptionClassName

          public String getExceptionClassName()

    - #### getResult

          public String getResult()

    - #### getParams

          public Map<String,String> getParams()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2020 Apache Software Foundation. All rights reserved.